## org.eclipse.datatools.sqltools.core
Interface ProcIdentifier

All Known Implementing Classes:
  ProcIdentifierImpl

public interface ProcIdentifier

This interface is used to identify a database object.

Author:
  Yang Liu, Hui Cao

Field Summary
`static java.lang.String` `PROP_DBNAME`
`static java.lang.String` `PROP_NAME`
`static java.lang.String` `PROP_NUMBER`
`static java.lang.String` `PROP_OWNER`
`static java.lang.String` `PROP_PROFILE`
`static java.lang.String` `PROP_TABLENAME`
`static java.lang.String` `PROP_TABLEOWNERNAME`
`static java.lang.String` `PROP_TYPE`
`static int` `TYPE_EVENT`
`static int` `TYPE_SP`
`static int` `TYPE_SQL`
`static int` `TYPE_TRIGGER`
`static int` `TYPE_UDF`

Method Summary
`java.lang.String` `encode()` Encoded this as a string.
`boolean` `equalsByServer(java.lang.Object obj)` Returns whether the given object equals to this ProcIdentifier object.
`java.lang.String` `getCallableString()` Gets a executable SQL string for the rountine object.
`java.lang.String` `getCallableString(boolean quoted_id)` Gets a executable SQL string for the rountine object.
`java.lang.String` `getCallableStringWithoutGroupNumber()` Gets a executable SQL string for the rountine object without group number.
`java.lang.String` `getCallableStringWithoutGroupNumber(boolean quoted_id)` Gets a executable SQL string for the rountine object without group number.
`DatabaseIdentifier` `getDatabaseIdentifier()`
`java.lang.String` `getDatabaseName()`
`java.lang.String` `getDisplayString()` Gets a short display string for the rountine object.
`java.lang.String` `getLongDisplayString()` Gets a long display string for the rountine object.
`int` `getNumber()` This method is only valid when this stored procedure supports group.
`java.lang.String` `getOwnerName()` Gets owner name of the database object.
`java.lang.String` `getProcName()` Gets the database object's name.
`java.lang.String` `getProfileName()`
`java.lang.String` `getTableName()` This is method is only valid when this proc is trigger.
`java.lang.String` `getTableOwnerName()` Gets owner name of the subject table when the procedural object type is trigger .
`int` `getType()` Gets the database object's type, as defined in this interface.

Field Detail

### TYPE_SP

    public static final int TYPE_SP

See Also:
  Constant Field Values

### TYPE_UDF

    public static final int TYPE_UDF

See Also:
  Constant Field Values

### TYPE_EVENT

    public static final int TYPE_EVENT

See Also:
  Constant Field Values

### TYPE_TRIGGER

    public static final int TYPE_TRIGGER

See Also:
  Constant Field Values

### TYPE_SQL

    public static final int TYPE_SQL

See Also:
  Constant Field Values

### PROP_OWNER

    public static final java.lang.String PROP_OWNER

See Also:
  Constant Field Values

### PROP_NAME

    public static final java.lang.String PROP_NAME

See Also:
  Constant Field Values

### PROP_NUMBER

    public static final java.lang.String PROP_NUMBER

See Also:
  Constant Field Values

### PROP_TABLENAME

    public static final java.lang.String PROP_TABLENAME

See Also:
  Constant Field Values

### PROP_TABLEOWNERNAME

    public static final java.lang.String PROP_TABLEOWNERNAME

See Also:
  Constant Field Values

### PROP_PROFILE

    public static final java.lang.String PROP_PROFILE

See Also:
  Constant Field Values

### PROP_DBNAME

    public static final java.lang.String PROP_DBNAME

See Also:
  Constant Field Values

### PROP_TYPE

    public static final java.lang.String PROP_TYPE

See Also:
  Constant Field Values

Method Detail

### getProcName

    public java.lang.String getProcName()

  Gets the database object's name.

### getType

    public int getType()

  Gets the database object's type, as defined in this interface.

### getOwnerName

    public java.lang.String getOwnerName()

  Gets owner name of the database object. Only valid for those database object with an owner (or creator).

  Returns:
    null if this database object don't support owner.

### getTableOwnerName

    public java.lang.String getTableOwnerName()

  Gets owner name of the subject table when the procedural object type is trigger .

  Returns:
    null if the procedural object type is not trigger. otherwise, it may equals to getOwnerName().
  Since:
    1.5

### getDatabaseIdentifier

    public DatabaseIdentifier getDatabaseIdentifier()

  Returns:
    the database identifier

### getDatabaseName

    public java.lang.String getDatabaseName()

  Returns:
    the database name

### getProfileName

    public java.lang.String getProfileName()

  Returns:
    the connection profile name

### encode

    public java.lang.String encode()

  Encoded this as a string. Can be decoded using ProcIdentifierImpl.decode()

### getNumber

    public int getNumber()

  This method is only valid when this stored procedure supports group. Otherwise will return 0

### getTableName

    public java.lang.String getTableName()

  This is method is only valid when this proc is trigger.

### getDisplayString

    public java.lang.String getDisplayString()

  Gets a short display string for the rountine object.

### getLongDisplayString

    public java.lang.String getLongDisplayString()

  Gets a long display string for the rountine object.

### getCallableString

    public java.lang.String getCallableString()

  Gets a executable SQL string for the rountine object.

### getCallableStringWithoutGroupNumber

    public java.lang.String getCallableStringWithoutGroupNumber()

  Gets a executable SQL string for the rountine object without group number.

### getCallableString

    public java.lang.String getCallableString(boolean quoted_id)

  Gets a executable SQL string for the rountine object.

  Parameters:
    `quoted_id` - whether "quoted identifier" is on

### getCallableStringWithoutGroupNumber

    public java.lang.String getCallableStringWithoutGroupNumber(boolean quoted_id)

  Gets a executable SQL string for the rountine object without group number.

  Parameters:
    `quoted_id` - whether "quoted identifier" is on

### equalsByServer

    public boolean equalsByServer(java.lang.Object obj)

  Returns whether the given object equals to this ProcIdentifier object. If the profile names are different, the comparison will base on the server url.

  Parameters:
    `obj` -
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.